Bug 753149 - Upgraded F15 -> F16 gnome fails - wrong version of caribou
Summary: Upgraded F15 -> F16 gnome fails - wrong version of caribou
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: caribou
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 741075 753377 753509 754401 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-11 13:04 UTC by andrewgfry
Modified: 2014-01-21 23:20 UTC (History)
22 users (show)

Fixed In Version: caribou-0.4.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-21 16:55:20 UTC


Attachments (Terms of Use)

Description andrewgfry 2011-11-11 13:04:19 UTC
Description of problem:
After upgrading from F15 -> F16 through preupgrade, then rebooting, I got the Sad Computer, "something has gone wrong" "contact your administrator" screen.

Not being a gnome guru, I checked/tested the various suggestions concerning restorecon, selinux policies and .gconf stuff - without any joy.

Then saw post on http://forums.fedoraforum.org/archive/index.php/t-269795.html by jpgr87. Yes, I had the i686 copy of caribou installed! Doesn't seem right!

Removed and installed x86_64 version using:
  rpm -e --nodeps caribou
  yum install caribous
and now F16 all seems fine.

This could presumably be fixed by correcting the upgrade definitions.


Steps to Reproduce:
1. Upgrade from F15 to F16 through preupgrade.
2. Reboot.


Actual results:
"Something has gone wrong" screen saying "contact your system administrator".


Expected results:
Gnome login screen.

Comment 1 Leif Gruenwoldt 2011-11-12 14:22:09 UTC
+1 this workaround worked for me.

Comment 2 moabi2000 2011-11-12 21:07:29 UTC
I confirm this bug and that the workaround works.

This seems to be two bugs:

1) why you get the wrong version of caribou
2) Why there isn't a sane fall-back mechanism to allow login to kde or fluxbox or whatever else you have installed.

Comment 3 Parag Nemade 2011-11-14 05:50:27 UTC
*** Bug 753377 has been marked as a duplicate of this bug. ***

Comment 4 Parag Nemade 2011-11-14 05:55:26 UTC
In F15, caribou package is noarch with its n-v-r as caribou-0.2.00-3.fc15
and now in F16(updates), its arch package caribou-0.4.1-1.fc16

Somehow, I think yum fail to detect the arch on x86_64 system and installing only i686 package on x86_64 system.

I think this can be a yum bug.

Comment 5 James Antill 2011-11-16 19:58:58 UTC
AFAIK going from arch to noarch or the other way requires a versioned obsoletes.

Comment 6 Parag Nemade 2011-11-17 05:06:17 UTC
Ok. taking this bug back in caribou. Updated caribou in f16 to add obsoletes.

Comment 7 Fedora Update System 2011-11-17 05:30:07 UTC
caribou-0.4.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/caribou-0.4.1-2.fc16

Comment 8 Parag Nemade 2011-11-18 05:03:56 UTC
*** Bug 741075 has been marked as a duplicate of this bug. ***

Comment 9 Parag Nemade 2011-11-18 05:06:00 UTC
Looks like there is no particular guidelines when a package moves from arch to noarch and vice-versa. I have raised this issue and now its a FPC ticket #117.

Comment 10 Fedora Update System 2011-11-19 06:05:13 UTC
Package caribou-0.4.1-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing caribou-0.4.1-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16132/caribou-0.4.1-2.fc16
then log in and leave karma (feedback).

Comment 11 Dave Ludlow 2011-11-20 22:01:59 UTC
*** Bug 753509 has been marked as a duplicate of this bug. ***

Comment 12 Jens Petersen 2011-11-24 00:49:48 UTC
I hit this today after preupgrading to F16... kind of nasty
for non-expert users since it prevents gdm from starting. :-(

It would be good to push this to stable soon.

Comment 13 Siddhesh Poyarekar 2011-11-25 18:00:07 UTC
The update by itself does not work with --enablerepo=updates-testing. You still have to explicitly remove caribou and install it again. karma -1.

Comment 14 Jens Petersen 2011-11-28 07:55:33 UTC
Did you test updating from the f15 package?

The update is to help people coming from F15.
If you've already upgraded and got the wrong package
I don't think there is anything sane that can be done.

Comment 15 Siddhesh Poyarekar 2011-11-28 10:44:53 UTC
Oh, my test is invalid then; I simply tried updating from my already preupgraded system by following comment 20 .

I don't see any way to take back the negative karma on the bug. Would it be possible to modify that to 'untested'?

Comment 16 Jens Petersen 2011-11-29 05:05:22 UTC
Well I think the only way to change would be to give + karma,
but probably you can just add a comment if you like.

Comment 17 Parag Nemade 2011-11-29 15:04:21 UTC
*** Bug 754401 has been marked as a duplicate of this bug. ***

Comment 18 Fedora Update System 2011-12-04 02:25:27 UTC
caribou-0.4.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Milan Kerslager 2011-12-04 11:25:29 UTC
The problem still persist, changing status:

file /usr/bin/caribou conflicts between attempted installs of caribou-0.4.1-2.fc16.x86_64 and caribou-0.4.1-2.fc16.i686
  file /usr/bin/caribou-preferences conflicts between attempted installs of caribou-0.4.1-2.fc16.x86_64 and caribou-0.4.1-2.fc16.i686
  file /usr/lib/python2.7/site-packages/caribou/i18n.pyc conflicts between attempted installs of caribou-0.4.1-2.fc16.x86_64 and caribou-0.4.1-2.fc16.i686
  file /usr/lib/python2.7/site-packages/caribou/i18n.pyo conflicts between attempted installs of caribou-0.4.1-2.fc16.x86_64 and caribou-0.4.1-2.fc16.i686
  file /usr/libexec/antler-keyboard conflicts between attempted installs of caribou-0.4.1-2.fc16.x86_64 and caribou-0.4.1-2.fc16.i686

Comment 20 Mads Kiilerich 2011-12-04 16:46:59 UTC
Milan: What is the system state before the update and how do you update?

Comment 21 Stefan Seefeld 2011-12-04 17:36:14 UTC
I can't answer the first question in detail. I started with Fedora 15. No idea whether I had caribou installed. (I didn't even know what caribou is until the system complained about it !)

I upgraded using the preupgrade tool.

Comment 22 Milan Kerslager 2011-12-04 18:53:27 UTC
I had up-to-date F15 today and I did "yum upgrade" to F16. I think that preupgrade does almost the same.

I had to remove caribou (noarch in F15). This could be the problem why it breaks.

Comment 23 David 2011-12-11 19:38:26 UTC
I got this error during http://fedoraproject.org/wiki/Upgrading_Fedora_using_yum#Fedora_15_-.3E_Fedora_16

removing caribou

  rpm -e --nodeps caribou

 allowed it to continue.

  yum install caribous

showed "no package caribou found"

live install 15, last update 5 days before this post date.

Regards

Comment 24 David 2011-12-11 19:40:46 UTC
sorry 
showed "no package caribous found"

Comment 25 Donald Edward Winslow 2011-12-11 20:42:55 UTC
The package name is "caribou", not "caribous". Try "yum install caribou".

Comment 26 Fedora Update System 2011-12-12 03:05:15 UTC
caribou-0.4.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/caribou-0.4.1-3.fc16

Comment 27 Fedora Update System 2011-12-12 22:06:39 UTC
Package caribou-0.4.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing caribou-0.4.1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17041/caribou-0.4.1-3.fc16
then log in and leave karma (feedback).

Comment 28 David 2011-12-13 07:52:39 UTC
Many Thanks Donald but not according to the OP, thanks for your wisdom and insight. Really made the upgrade in progress go that much smoother.


I do have a few more machines to update, will report back if still any problems.

Comment 29 Fedora Update System 2011-12-21 16:55:20 UTC
caribou-0.4.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.